package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type AiAdviceModelSupImpl struct {
	dataTemp.DataTemp
}

func NewAiAdviceModelSupImpl(db *utils.Db) *AiAdviceModelSupImpl {
	return &AiAdviceModelSupImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiAdviceModelSup)),
	}
}
